Get User Profile Details
curl --request GET \
--url https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile")
.header("Authorization", "<authorization>")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1765889000461,
"data": {
"id": "96b14651-a333-547d-8de9-fee0be4f941e",
"@entity": "in.co.sandbox.kyc.entitylocker.user.profile",
"date_of_birth": "28/01/2002",
"mobile": "9512120133",
"eaadhaar": true,
"gender": "male",
"name": "Henil Rupesh Shah"
},
"transaction_id": "7603165e-e591-4342-bb19-1d9f4caabb0f"
}{
"code": 503,
"timestamp": 1000000000000,
"transaction_id": "6c05f692-c32f-4de0-92b4-56684bdf16f0",
"message": "Source Unavailable"
}{
"code": 521,
"timestamp": 1782806266274,
"message": "Data not found for: 55470e27-3d8a-451f-ac1e-9c0f3d1454821",
"transaction_id": "a599615c-c732-4538-9840-4bb5cd3c19d2"
}{
"code": 523,
"timestamp": 1782806184804,
"message": "Invalid session status: created",
"transaction_id": "de90173f-8255-4ac0-b26b-a41b8a872fee"
}Get User Profile
Get User Profile API returns the user profile details used to access EntityLocker documents
GET
/
kyc
/
entitylocker
/
sessions
/
{session_id}
/
user
/
profile
Get User Profile Details
curl --request GET \
--url https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile")
.header("Authorization", "<authorization>")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api.sandbox.co.in/kyc/entitylocker/sessions/{session_id}/user/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1765889000461,
"data": {
"id": "96b14651-a333-547d-8de9-fee0be4f941e",
"@entity": "in.co.sandbox.kyc.entitylocker.user.profile",
"date_of_birth": "28/01/2002",
"mobile": "9512120133",
"eaadhaar": true,
"gender": "male",
"name": "Henil Rupesh Shah"
},
"transaction_id": "7603165e-e591-4342-bb19-1d9f4caabb0f"
}{
"code": 503,
"timestamp": 1000000000000,
"transaction_id": "6c05f692-c32f-4de0-92b4-56684bdf16f0",
"message": "Source Unavailable"
}{
"code": 521,
"timestamp": 1782806266274,
"message": "Data not found for: 55470e27-3d8a-451f-ac1e-9c0f3d1454821",
"transaction_id": "a599615c-c732-4538-9840-4bb5cd3c19d2"
}{
"code": 523,
"timestamp": 1782806184804,
"message": "Invalid session status: created",
"transaction_id": "de90173f-8255-4ac0-b26b-a41b8a872fee"
}Run in Postman
Headers
JWT access token. For token-generation steps, refer to the Quickstart Guide.
Path Parameters
Session identifier generated during EntityLocker Initiate Session API .